The filtered search term is a component for managing "free input" in the filtered search component.
It is responsible for autocompleting available tokens and "converting" to a relevant
component when an autocomplete item is selected.

## Usage

This component is internal and is not intended to be used by `@gitlab/ui` users.
